// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
//import com.nokia.symbian 1.1
import com.nokia.extras 1.1
import com.nokia.meego 1.0



Page{
    id: addingLocation
    InfoBanner{
        id: locationBanner
        //timeout: 5000
        visible: locationPage.status === PageStatus.Active
    }

    Label{
        id: desc
        text: "Enter Street, Neighbourhood, City or Zip"
        anchors.top: parent.top
        anchors.topMargin: pageToolbar.height + 10
    }
    Row{
        id: itemsHolder
       width: parent.width
       anchors.top: desc.bottom
       //spacing: 5
       height: 70

    TextField{
        id: locationText
        placeholderText: "Start typing"
        font.pixelSize: 18
       // anchors.centerIn: parent
        width: parent.width * 0.85
       // height: parent.height/1.1
       // anchors.horizontalCenterOffset: -10
    }
    Button{
        //iconId: "toolbar-next"
        text: "Go"
        width: parent.width * 0.13
        platformStyle: ButtonStyle{
            inverted: true
            textColor: "white"
        }
        onClicked: {
            var text = locationText.text
            if (text){
                reverseGeocode(text)
                console.log(text)
                //locationBanner.text = "Please Wait"
              //  locationBanner.timerShowTime = 3000;
               // locationBanner.show()
                notifyUser("Please Wait")
            }
            else {
              //  locationBanner.text = "Please Enter Location"
               // locationBanner.timerShowTime = 3000;
               // locationBanner.show()
                notifyUser("Please Enter Location")


        }
    }
    }
    Column{
        id: column
        anchors.top: itemsHolder.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        Label{
            text: "Examples: "
        }
        Label{
            text:"10010 Fifth Avenue New York"
        }
        Label{
            text:"Moi avenue Nairobi"
        }
        Label{
            text:"85 Newhall Street"
        }
    }
    Button{
     anchors.top: column.bottom
     anchors.horizontalCenter: parent.horizontalCenter
     text: "Go To My Location"
     width: parent.width * 0.75
     anchors.topMargin: 20
     onClicked:{
         console.log("panning")
         window.locationFoundViaGeocode = false
         theMainPage.panMyMap(myPositionSource.position.coordinate.latitude, myPositionSource.position.coordinate.longitude)
     }
      visible: myPositionSource.position.coordinate.latitude ? true : false
    }


}
}
